
Redmine - Defect #21375

Working external URL prefixes (protocols and 'www' host part) not documented in wiki syntax

2015-11-28 00:38 - Till Riedel

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed Affected version:  

Description

As #2953 states /https?:\/\/.*/ and /ftps?:\/\/.*/ links work however documentation on RedmineTextFormatting mentions only http not

https,ftp,ftps. Implementation is inconstent with documentations if more than only http works, one would expect other URL schemes

to work too as mentioned in #2953.

Related issues:

Blocks Redmine - Patch #26188: Documentation (detailed syntax help & code) ad... Closed

Associated revisions

Revision 16447 - 2017-04-03 07:35 - Jean-Philippe Lang

Working external URLs not documented (#21375).

Patch by Go MAEDA.

Revision 16689 - 2017-06-25 11:01 - Jean-Philippe Lang

Complement external URL documentation (#21375).

Patch by Mischa The Evil.

Revision 16694 - 2017-06-25 11:07 - Jean-Philippe Lang

Merged r16689 to r16693 (#21375, #26188).

History

#1 - 2015-12-26 07:59 - Toshi MARUYAMA

- Description updated

#2 - 2015-12-26 08:18 - Toshi MARUYAMA

Till Riedel wrote:

As #2953 states /https?:\/\/.*/ and /ftps?:\/\/.*/ links work however documentation on RedmineTextFormatting mentions only http not https,ftp,ftps.

 You can update wikis on redmine.org.

This is definition.

source:tags/3.2.0/lib/redmine/wiki_formatting.rb#L113

Implementation is inconstent with documentations if more than only http works, one would expect other URL schemes to work too as mentioned

in #2953.

 I think #2953 is not related.

#3 - 2017-03-21 03:19 - Go MAEDA

I have updated RedmineTextFormattingTextile (diff) and RedmineTextFormattingMarkdown (diff).

#4 - 2017-03-21 04:26 - Go MAEDA

- File 21375-external-urls-help.diff added

- Target version set to Candidate for next major release
This patch updates public/help/*/wiki_syntax_detailed_*.html.

#5 - 2017-03-23 04:47 - Go MAEDA

- Target version changed from Candidate for next major release to 3.4.0

#6 - 2017-04-03 07:36 - Jean-Philippe Lang

- Subject changed from Working External URLs not documented to Working external URL protocols not documented in wiki syntax

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.

#7 - 2017-04-16 10:08 - Mischa The Evil

- Status changed from Closed to Reopened

Shouldn't we document the following ones explicitly too?

www.example.com

sftp://sftp.example.com

sftps://sftps.example.com

#8 - 2017-05-27 12:14 - Jean-Philippe Lang

- Assignee changed from Jean-Philippe Lang to Mischa The Evil

Mischa The Evil wrote:

Shouldn't we document the following ones explicitly too?

 Sure, could you prepare a patch for that?

#9 - 2017-06-02 10:30 - Mischa The Evil

Jean-Philippe Lang wrote:

Mischa The Evil wrote:

Shouldn't we document the following ones explicitly too?

 Sure, could you prepare a patch for that?

 Thanks for the feedback. I'll see what I can do (including the wiki page).

#10 - 2017-06-17 13:55 - Marius BĂLTEANU

- File 21375_more_external_urls.patch added

Because I really want to see the 3.4.0 released, I took the liberty to create a patch that specify the www, sftp and sftps as URLs. Mischa, the patch

matches your expectations? If yes, I'll update the wiki pages, too.

#11 - 2017-06-18 13:23 - Mischa The Evil

- File 0001-Complement-external-URL-documentation-21375.patch added

- Subject changed from Working external URL protocols not documented in wiki syntax to Working external URL prefixes (protocols and 'www' host

part) not documented in wiki syntax

- Assignee changed from Mischa The Evil to Jean-Philippe Lang

Marius BALTEANU wrote:

[...] I took the liberty to create a patch that specify the www, sftp and sftps as URLs. Mischa, the patch matches your expectations? If yes, I'll

update the wiki pages, too.
 Thanks for chiming in. I've looked at your patch; it seems — with 43 changes — incomplete however

1

. It seems to be generated with a (too) basic

search-and-replace, using an insufficient search string. As such only changing (a part of the) the textile docs only.

I just completed an other patch which changes all the translations, slightly differently:

hits old string new string

54 (http, https, ftp, and ftps) (starting with: www, http, https, ftp, ftps, sftp

and sftps)

42 (http, https, ftp and ftps)

2 (http, https, ftp, ftps)

Notes:

I changed the order in which the link 'types' are mentioned, starting with 'www' as it's probably the most common nowadays (although even that

URL-part is being ditched often these days) and it is a hostname identifier instead of a protocol identifier as all the others (informally) are;

I added starting with:  in front of the inline list for better clarity;

I decided not to add a serial comma to the inline list, as such adhering to British English spelling instead of American English (it's not required for

clarity, there is no clear, official Redmine guideline on what spelling to use and it feels just more natural to me [and probably many other

EU-based users, though I'm biased as my native Dutch language doesn't dictate use of it]).

I'll attach the patch implementing this change. This patch, against current source:/trunk@16676, is produced using git format-patch which makes it

apply-able using "patch -p1 < 0001-...". It is patch 1/5 of a patch serial of which I'll post patches 2 to 5 in a new issue as they are less related to this

initial issue.

I'll also change the wiki pages accordingly when the patch has been committed.

Environment:

Environment:

  Redmine version                3.3.3.devel@r16676

  Ruby version                   2.3.3-p222 (2016-11-21) [x86_64-linux]

  Rails version                  4.2.8

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.8

  Git                            1.9.1

  Filesystem                     

Redmine plugins:

  no plugin installed
 Redmine currently supports 49 languages, each having two detailed syntax pages (textile and markdown), which makes a required number of

changes of 98.

#12 - 2017-06-18 13:53 - Mischa The Evil

- Blocks Patch #26188: Documentation (detailed syntax help & code) additions/improvements added

#13 - 2017-06-25 11:01 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Committed, thanks.

Files

21375-external-urls-help.diff 59 KB 2017-03-21 Go MAEDA

21375_more_external_urls.patch 28.1 KB 2017-06-17 Marius BĂLTEANU

0001-Complement-external-URL-documentation-21375.patch 69.6 KB 2017-06-18 Mischa The Evil
